[PATCH] make dcerpc python module compatible with pylint in py3

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[PATCH] make dcerpc python module compatible with pylint in py3

Samba - samba-technical mailing list
Attached patch needs to come to 4.7.0 to have Samba python3 bindings
usable with pylint (Python linter). We missed dcerpc/__init__.py file
for py3 environment so it broke FreeIPA CI machinery now that we moved
to Python 3 completely.

Luckily, it is not a code change, just waf part.

I filed https://bugzilla.samba.org/show_bug.cgi?id=13030 for 4.7.0
backport. See details on a reproducer there.

We verified with Fedora builds that it indeed fixes the problem.


--
/ Alexander Bokovoy

samba-4.7.0-dcerpc-__init__.py.patch (1K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: [PATCH] make dcerpc python module compatible with pylint in py3

Samba - samba-technical mailing list
On Wed, 2017-09-13 at 13:13 +0300, Alexander Bokovoy via samba-
technical wrote:

> Attached patch needs to come to 4.7.0 to have Samba python3 bindings
> usable with pylint (Python linter). We missed dcerpc/__init__.py file
> for py3 environment so it broke FreeIPA CI machinery now that we moved
> to Python 3 completely.
>
> Luckily, it is not a code change, just waf part.
>
> I filed https://bugzilla.samba.org/show_bug.cgi?id=13030 for 4.7.0
> backport. See details on a reproducer there.
>
> We verified with Fedora builds that it indeed fixes the problem.

Reviewed-by: Andrew Bartlett <[hidden email]>

All the best with the py3 revolution!

Andrew Bartlett

--
Andrew Bartlett                       http://samba.org/~abartlet/
Authentication Developer, Samba Team  http://samba.org
Samba Developer, Catalyst IT          http://catalyst.net.nz/services/samba


Reply | Threaded
Open this post in threaded view
|

Re: [PATCH] make dcerpc python module compatible with pylint in py3

Samba - samba-technical mailing list
On ke, 13 syys 2017, Andrew Bartlett wrote:

> On Wed, 2017-09-13 at 13:13 +0300, Alexander Bokovoy via samba-
> technical wrote:
> > Attached patch needs to come to 4.7.0 to have Samba python3 bindings
> > usable with pylint (Python linter). We missed dcerpc/__init__.py file
> > for py3 environment so it broke FreeIPA CI machinery now that we moved
> > to Python 3 completely.
> >
> > Luckily, it is not a code change, just waf part.
> >
> > I filed https://bugzilla.samba.org/show_bug.cgi?id=13030 for 4.7.0
> > backport. See details on a reproducer there.
> >
> > We verified with Fedora builds that it indeed fixes the problem.
>
> Reviewed-by: Andrew Bartlett <[hidden email]>
>
> All the best with the py3 revolution!
Thanks!

Pushed to autobuild.

--
/ Alexander Bokovoy